#pragma once

#include <vector>
#include <string>
#include <fstream>
#include <iostream>
#include <algorithm>
#include <math.h>
#include <iomanip>
#include <map>

using	namespace	std;

class CConfiguration
{
	private:
		map<string,string>	PropetyMap;
		string				strConfigurationFileName;
		wstring				wstrConfigurationFileName;
		int					fFileNameType;

	protected:
		void GetAttribute(string strAttributeName, string& dstAttributeValue);

	public:
		CConfiguration(void);
		CConfiguration(string strConfigurationFileName);
		CConfiguration(wstring wstrConfigurationFileName);

		void Load( );
		void Load(string strConfigurationFileName);
		void Load(wstring wstrConfigurationFileName);

		void GetInt(string strIntName, int& dstInt);
		void GetDouble(string strDoubleName, double& dstDouble);
		void GetFloat(string strDoubleName, float& dstFloat);
		void GetString(string strStringName, string& dstString);
		void GetVectorInt(string strVectorName, int& dstCount, vector<int>& dstRgInt);
};

