#pragma once

#include <vector>
#include <string>
#include <iostream>
#include <fstream>
#include <iomanip>
#include "Data.h"
#include "SVMInst.h"
#include "FilterLib\\TMatrix.h"

using	namespace	std;

class CSVMInst;
class CInstTree;

class CSVMInstSet
{
	public:
		CSVMInstSet(void);
		~CSVMInstSet(void);

	public:
		int		SetSuppVecSet(CSVMInstSet &InSet);

	public:
		int		Init( );

	public:
		vector<int>			InstIdx;
		int					RIdx;
		int					Label;
		int					DataID;
		int					ViewID;
		int					SymID;
		int					Lvl;
		int					PosX, PosY;

		int					Use;
};
