#pragma once

#include <vector>
#include <string>
#include <iostream>
#include <fstream>
#include <iomanip>
#include <cmath>
#include "FilterLib\\CImg.h"

using	namespace	std;
using	namespace	cimg_library;

#define	BlkDimX		16
#define	BlkDimY		16
#define BlkDimL		256

#define	MinSizeX	3
#define	MinSizeY	3
#define	MaxSizeX	16
#define	MaxSizeY	12
#define MaxX		160
#define MaxY		160
#define MaxImX		512
#define MaxImY		512

class	CDetectModel;
class	CAndModel;
class	COrModel;
class	COrNode;
class	CAndNode;
class	CInstTree;
class	CInstRect;
class	CDataSet;
class	CData;
class	CSVMInst;
class	CSVMInstSet;

// Feature Pyramid
typedef	struct tagFeaMap
{
	CImg<double>		Map_HoG;
	double				Scale;
	int					Img_H, Img_W;
	int					Map_H, Map_W;
} FeaMapType; 