#pragma warning(disable:4996)

#include "StdAfx.h"
#include "Timer.h"

CTimer::CTimer(void)
{
	Reset( );

	LARGE_INTEGER	Index;
	QueryPerformanceFrequency(&Index);
	FreqTime = (double) Index.QuadPart;
}

CTimer::~CTimer(void)
{
}

void CTimer::Reset( )
{
	CumTime_CPU		= 0;
	ElpTime_CPU		= 0;
	Count			= 0;
}

void CTimer::Start()
{
	LARGE_INTEGER	Index;
	QueryPerformanceCounter(&Index);
	StartTime = (double) Index.QuadPart;
}

void CTimer::Stop()
{
	LARGE_INTEGER	Index;
	QueryPerformanceCounter(&Index);
	EndTime = (double) Index.QuadPart;

	ElpTime_CPU = float((EndTime - StartTime) / FreqTime);
	CumTime_CPU += ElpTime_CPU;
	Count++;
}

float CTimer::GetCumTime( )
{
	return	CumTime_CPU;
}

float CTimer::GetElpTime( )
{
	return	ElpTime_CPU;
}

float CTimer::GetAveTime( )
{
	return	CumTime_CPU / Count;
}
