#pragma once

#include <vector>
#include <string>
#include <iostream>
#include <fstream>
#include <iomanip>
#include "DetectModel.h"

using	namespace	std;

class CInstRect
{
	public:
		CInstRect(void);
		~CInstRect(void);

	// the results of inferences
	public:
		vector<CRect>		Rects;						// the bounding box of each node
		CRect				RootRect;					// the bounding box of root node
		int					ViewID;						// the view id
		int					Lvl, PosX, PosY;			// position
		double				Score;						// score

	public:
		int		Init(CDetectModel &DetModel);
};
