#pragma once

#include <vector>
#include <string>
#include <iostream>
#include <fstream>
#include <iomanip>
#include "common.h"
#include "AndModel.h"
#include "FilterLib\\ImageEx.h"

using	namespace	std;

class COrModel
{
	public:
		COrModel(void);
		~COrModel(void);

	public:
		vector<int>			ChildSet;
		int					NodeID;

	public:
		int		ReadModel(ifstream &inModel);
		int		WriteModel(ofstream &outModel);

		int		InitParts(CDetectModel &DetectModel, int XCnt, int YCnt, int &AndCnt, int &OrCnt);	// Initial the nodes in the model of 2 or 3 levels
		int		GetNodePos(CDetectModel &DetModel);		// Get the position of node corresponding to top left corner of root node.
};
