#include "StdAfx.h"
#include "SVMInstSet.h"
#include "InstTree.h"
#include "DetectModel.h"

CSVMInstSet::CSVMInstSet(void)
{
	RIdx	= 0;
	Use		= -1;
}

CSVMInstSet::~CSVMInstSet(void)
{
}

int CSVMInstSet::Init( )
{
	InstIdx.clear( );
	RIdx	= 0;
	Use		= -1;

	return	1;
}

// copy from the set of support vectors
int CSVMInstSet::SetSuppVecSet(CSVMInstSet &InSet)
{
	InstIdx.swap(InSet.InstIdx);
	RIdx		= InSet.RIdx;
	Label		= InSet.Label;
	DataID		= InSet.DataID;
	ViewID		= InSet.ViewID;
	SymID		= InSet.SymID;
	Lvl			= InSet.Lvl;
	PosX		= InSet.PosX;
	PosY		= InSet.PosY;
	return	1;
}